<? if ($this->items): ?>
	<div id="listing">
		<? foreach ($this->items as $item): ?>
			<? if ( ! $item instanceof Model_EscortItem ): ?>
				<? $item = new Model_EscortItem($item);  ?>
			<? endif; ?>
			
			<div class="item">
				<a class="showname" href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>"><?= $item['showname'] ?></a>
				<div class="city"><?= ($item['gender'] == GENDER_FEMALE || $item['gender'] == GENDER_TRANS) ? __('escort_girl') : __('escort_boy') ?> <?= $item['city'] ?></div>
				<div class="photo-wrap">
					<? if ($item['status'] != 32): ?>
						<div class="disable-over">
							<div class="text"><?= __('currently_not_active') ?></div>
						</div>
					<? endif; ?>
					
					<? if ($item['comments']): ?>
						
						<a class="request-count" href="#" onclick="return Cubix.Choice.Comments(this, <?= $item['escort_id'] ?>)"><?= $item['comments'] ?></a>
					<? endif; ?>
					<a class="photo" href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
						<img src="<?= $item->getMainPhoto()->getUrl('thumb') ?>" />
					</a>
				</div>
				<div class="ranks">
					<div class="rank">
						<a class="top1 <? if ($item['top1']): ?> show-rank <? else: ?> dis <? endif; ?>" escort_id="<?= $item['escort_id'] ?>" rank="1"></a>
						<?= $item['top1'] ?>x
					</div>
					<div class="rank">
						<a class="top2 <? if ($item['top2']): ?> show-rank <? else: ?> dis <? endif; ?>" escort_id="<?= $item['escort_id'] ?>" rank="2"></a>
						<?= $item['top2'] ?>x
					</div>
					<div class="rank">
						<a class="top3 <? if ($item['top3']): ?> show-rank <? else: ?> dis <? endif; ?>" escort_id="<?= $item['escort_id'] ?>" rank="3"></a>
						<?= $item['top3'] ?>x
					</div>
					<div class="rank">
						<a class="top10 <? if ($item['top10']): ?> show-rank <? else: ?> dis <? endif; ?>" escort_id="<?= $item['escort_id'] ?>" rank="10"></a>
						<?= $item['top10'] ?>x
					</div>

					<div class="clear"></div>
				</div>
			</div>
		<? endforeach; ?>

		<div class="clear"></div>
	</div>

	<? $per_page = $this->per_page; ?>
	<? $pages_count = ceil($this->count / $per_page); ?>

	<? if ( $pages_count != 1 ): ?>
	<p class="bar-paging">
		<? $pages = $this->paging($this->count, $this->page, $per_page); ?>
		<? if ( 1 < $this->page): ?>
			<a class="prev" href="#" onclick="return Cubix.Choice.Show({ page: <?= ($this->page - 1) ?>});"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>
		<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
		<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Choice.Show({ page: <?= $page ?> });"><?= $page ?></a>
		<? endif ?>
		<? endforeach ?>

		<? if ( $pages_count > $this->page): ?>
			<a class="next" href="#" onclick="return Cubix.Choice.Show({page: <?= ($this->page + 1) ?>});"></a>
		<? endif ?>
	</p>
	<? endif; ?>
<? else: ?>
	<div id="listing"><?= __('no_escorts_found') ?></div>
<? endif; ?>
